<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Array Cardio</title>
  </head>
  <body>
    <p><em>Psst: have a look at the JavaScript Console</em> 💁</p>

    <script>
      const people = [
        { name: "Wes", year: 1988 },
        { name: "Kait", year: 1986 },
        { name: "Irv", year: 1970 },
        { name: "Lux", year: 2015 },
      ];

      const comments = [
        { text: "Love this!", id: 523423 },
        { text: "Super good", id: 823423 },
        { text: "You are the best", id: 2039842 },
        { text: "Ramen is my fav food ever", id: 123523 },
        { text: "Nice Nice Nice!", id: 542328 },
      ];

      function howOld() {
        people
          .filter((person) => {
            if (2020 - person.year >= 19) return true;
            return false;
          })
          .map((person) => {
            const div = document.createElement("div");
            div.textContent = person.name + ", " + person.year;
            document.body.appendChild(div);
          });
      }

      console.log(comments[comments.findIndex((comment) => comment.id == 2039842)]);

      howOld();
    </script>
  </body>
</html>
